%global realname ranch
%global upstream ninenines
# Technically, we're noarch; but erlang whose directories we install into is not.
%global debug_package %{nil}


Name:		erlang-%{realname}
Version:	1.3.2
Release:	1%{?dist}
Summary:	Socket acceptor pool for TCP protocols
Group:		Development/Languages
License:	ISC
URL:		https://github.com/%{upstream}/%{realname}
%if 0%{?el7}%{?fedora}
VCS:		scm:git:https://github.com/%{upstream}/%{realname}.git
%endif
Source0:	https://github.com/%{upstream}/%{realname}/archive/%{version}/%{realname}-%{version}.tar.gz
BuildRequires:	erlang-rebar


%description
Socket acceptor pool for TCP protocols.


%prep
%setup -q -n %{realname}-%{version}


%build
%{erlang_compile}


%install
%{erlang_install}


%check
# FIXME requires ct_helper https://github.com/ninenines/ct_helper
# FIXME one particular test fails
#%%{erlang_test}


%files
%license LICENSE
%doc CHANGELOG.asciidoc README.asciidoc doc/ examples/
%{erlang_appdir}/


%changelog
* Thu Feb  9 2017 Peter Lemenkov <lemenkov@gmail.com> - 1.3.2-1
- Ver. 1.3.2

* Thu Jun  2 2016 Peter Lemenkov <lemenkov@gmail.com> - 1.2.1-2
- Spec-file cleanups

* Thu Mar  3 2016 Peter Lemenkov <lemenkov@gmail.com> - 1.2.1-1
- Ver. 1.2.1

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Mar 09 2013 Peter Lemenkov <lemenkov@gmail.com> - 0.6.2-1
- Ver. 0.6.2
- Fixed build with R14B (EPEL6)

* Tue Mar 05 2013 Peter Lemenkov <lemenkov@gmail.com> - 0.6.1-2
- Fixed rpmlint errors

* Fri Jan 25 2013 Peter Lemenkov <lemenkov@gmail.com> - 0.6.1-1
- Intial build
